#
# spec file for package pommed (Version 1.9)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash binutils brp-check-internal bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs dbus-1 dbus-1-devel desktop-translations diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc42 gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel grep groff gtk2 gtk2-devel gzip hicolor-icon-theme info insserv less libacl libasound2 libattr libbz2-1 libbz2-devel libconfuse-devel libconfuse0 libdb-4_5 libdrm libexpat-devel libexpat1 libgcc42 libglade2 libglade2-devel libgomp42 libjpeg libltdl-3 libmudflap42 libopenssl0_9_8 libpng libpng-devel libreadline5 libsmbios-devel libsmbios-libs libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libuuid1 libvolume_id libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules pango pango-devel patch pciutils-devel pcre pcre-devel perl perl-base permissions pkg-config popt post-build-checks rpm sed sysvinit tar texinfo timezone update-desktop-files util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           pommed
Url:            http://technologeek.org/projects/pommed/
BuildRequires:  alsa-devel audiofile-devel dbus-1-devel gtk2-devel libconfuse-devel libglade2-devel libsmbios-devel libsmbios-libs pciutils-devel update-desktop-files xorg-x11-libX11-devel xorg-x11-libXext-devel xorg-x11-libXpm-devel xorg-x11-util-devel
Group:          Hardware/Mobile
Version:        1.9
Release:        4.2
License:        GPL v2 only
Summary:        Apple laptops hotkeys event handler
AutoReqProv:    on
Source0:        pommed-1.9.tar.bz2
Source1:        pommed.init
Patch:          pommed-build.diff
Patch1:         pommed-dbus_policy.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       eject

%description
pommed handles the hotkeys found on the Apple MacBook Pro, MacBook and
PowerBook laptops and adjusts the LCD backlight, sound volume, keyboard
backlight or ejects the CD-ROM drive accordingly.

pommed also monitors the ambient light sensors to automatically light
up the keyboard backlight on the MacBook Pro and PowerBook.

Optional support for the Apple Remote control is available.



Authors:
--------
    Julien BLACHE <jb@jblache.org>

%debug_package
%package -n gpomme
License:        GPL v2 only
Summary:        graphical client for pommed
Group:          Hardware/Mobile
Requires:       pommed
Requires:       dbus-1

%description -n gpomme
pommed handles the hotkeys found on the Apple MacBook Pro, MacBook and
PowerBook laptops and adjusts the LCD backlight, sound volume, keyboard
backlight or ejects the CD-ROM drive accordingly.

gpomme is a graphical client for pommed. It listens for signals sent by
pommed on DBus and displays the action taken by pommed along with the
current state associated to this action.



Authors:
--------
    Julien BLACHE <jb@jblache.org>

%package -n wmpomme
License:        GPL v2 only
Summary:        WindowMaker dockapp client for pommed
Group:          Hardware/Mobile
Requires:       pommed
Requires:       dbus-1

%description -n wmpomme
pommed handles the hotkeys found on the Apple MacBook Pro, MacBook and
PowerBook laptops and adjusts the LCD backlight, sound volume, keyboard
backlight or ejects the CD-ROM drive accordingly.

wmpomme is a dockapp client for pommed. It displays the current level
of each item controlled by pommed.



Authors:
--------
    Julien BLACHE <jb@jblache.org>

%prep
%setup
%patch
%patch1

%build
make

%install
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/sbin
install -d $RPM_BUILD_ROOT/etc/dbus-1/system.d
install -d $RPM_BUILD_ROOT/etc/init.d
install -d $RPM_BUILD_ROOT/usr/share/applications
install -d $RPM_BUILD_ROOT/usr/share/icons
install -d $RPM_BUILD_ROOT/usr/share/pixmaps
install -d $RPM_BUILD_ROOT/usr/share/gpomme
install -d $RPM_BUILD_ROOT/usr/share/locale
install -d $RPM_BUILD_ROOT/usr/share/man/man1
install -m 755 pommed/pommed          $RPM_BUILD_ROOT/usr/sbin
%ifarch ppc ppc64
install -m 644 pommed.conf.pmac       $RPM_BUILD_ROOT/etc/pommed.conf
%else
install -m 644 pommed.conf.mactel     $RPM_BUILD_ROOT/etc/pommed.conf
%endif
install -m 644 dbus-policy.conf       $RPM_BUILD_ROOT/etc/dbus-1/system.d/pommed.conf
install -m 755 %{S:1}                 $RPM_BUILD_ROOT/etc/init.d/pommed
ln -sf /etc/init.d/pommed $RPM_BUILD_ROOT/usr/sbin/rcpommed
install -m 644 pommed.1               $RPM_BUILD_ROOT/usr/share/man/man1
# gpomme
install -m 755 gpomme/gpomme          $RPM_BUILD_ROOT/usr/bin
install -m 644 gpomme/gpomme.1        $RPM_BUILD_ROOT/usr/share/man/man1
install -m 644 gpomme/*.desktop       $RPM_BUILD_ROOT/usr/share/applications
install -m 644 icons/gpomme*          $RPM_BUILD_ROOT/usr/share/icons
install -m 644 icons/gpomme_32x32.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/gpomme.xpm
install -m 644 gpomme/gpomme.glade    $RPM_BUILD_ROOT/usr/share/gpomme
cp -a gpomme/themes                   $RPM_BUILD_ROOT/usr/share/gpomme
rm -rfv $RPM_BUILD_ROOT/usr/share/gpomme/themes/src
for mo in gpomme/po/*.mo ; do
    lang=`basename $mo .mo`
    install -d $RPM_BUILD_ROOT/usr/share/locale/$lang/LC_MESSAGES
    install -m 644 $mo $RPM_BUILD_ROOT/usr/share/locale/$lang/LC_MESSAGES
done
# wmpomme
install -m 755 wmpomme/wmpomme        $RPM_BUILD_ROOT/usr/bin
install -m 644 wmpomme/wmpomme.1      $RPM_BUILD_ROOT/usr/share/man/man1
install -m 644 icons/gpomme_32x32.xpm $RPM_BUILD_ROOT/usr/share/icons/wmpomme.xpm
%suse_update_desktop_file $RPM_BUILD_ROOT/usr/share/applications/gpomme-c.desktop
%suse_update_desktop_file $RPM_BUILD_ROOT/usr/share/applications/gpomme.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README TODO
%config(noreplace) /etc/pommed.conf
%config(noreplace) /etc/dbus-1/system.d/pommed.conf
/etc/init.d/pommed
/usr/sbin/pommed
/usr/sbin/rcpommed
/usr/share/man/man1/po*

%files -n gpomme
%defattr(-,root,root)
/usr/bin/gpomme
/usr/share/applications/*.desktop
/usr/share/icons/gp*
/usr/share/pixmaps/gp*
/usr/share/gpomme
/usr/share/locale/*/LC_MESSAGES/*
/usr/share/man/man1/gpo*

%files -n wmpomme
%defattr(-,root,root)
/usr/bin/wmpomme
/usr/share/icons/wm*
/usr/share/man/man1/wmpo*

%changelog
* Tue Jan 27 2009 - ro@suse.de
- dbus-policy: add send_destination rule (bnc#469771)
* Mon Sep 17 2007 - ro@suse.de
- created package from pommed (version 1.9)
